URE(4)

NAME
ure - RealTek RTL8152/RTL8153 10/100/Gigabit USB Ethernet device

SYNOPSIS
ure* at uhub?
rgephy* at mii?
rlphy* at mii?

DESCRIPTION
The ure driver provides support for USB Ethernet adapters based on the RealTek RTL8152 USB Fast Ethernet devices including:

Cable Matters 202023 USB 2.0 to 10/100 Fast Ethernet Network Adapter

and RTL8153 USB Gigabit Ethernet devices including:

Anker A7611 Aluminum USB 3.0 to Ethernet Adapter

The RTL8152 contains an integrated Fast Ethernet MAC, which supports both 10 and 100Mbps speeds in either full or half duplex. The RTL8153 has a Gigabit Ethernet MAC and additionally supports 1000Mbps speeds.

For more information on configuring this device, see ifconfig(8).

DIAGNOSTICS
See usbnet(4) for diagnostics.

SEE ALSO
arp(4), ifmedia(4), mii(4), netintro(4), rgephy(4), rlphy(4), uhub(4), usb(4), usbnet(4), ifconfig(8)

HISTORY
The ure device driver first appeared in OpenBSD 6.0 and NetBSD 9.0.

AUTHORS
-nosplit The ure driver was written by Kevin Lo <kevlo@FreeBSD.org> for OpenBSD and ported to NetBSD by Rin Okuyama <rin@NetBSD.org>.